com.microfocus.awm.meta.interfaces

## Enum EOperators

- java.lang.Object
- - java.lang.Enum<EOperators>
  - - com.microfocus.awm.meta.interfaces.EOperators

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EOperators>, org.eclipse.emf.common.util.Enumerator

      public enum EOperators
      extends java.lang.Enum<EOperators>
      implements org.eclipse.emf.common.util.Enumerator

  Enumeration class for the condition check operators: Equals, Equals Not, Regular Expression, NULL, NOT_NULL, TRUE, FALSE
  See Also:
    `TaurusPackage.getEOperators()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EQUALS` The 'Equals' literal object.
    `EQUALS_NOT` The 'Equals Not' literal object.
    `FALSE` The 'FALSE' literal object.
    `NOTNULL` The 'NOTNULL' literal object.
    `NULL` The 'NULL' literal object.
    `REGULAR_EXPRESSION` The 'Regular Expression' literal object.
    `TRUE` The 'TRUE' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EQUALS_NOT_VALUE` The 'Equals Not' literal value.
    `static int` | `EQUALS_VALUE` The 'Equals' literal value.
    `static int` | `FALSE_VALUE` The 'FALSE' literal value.
    `static int` | `NOTNULL_VALUE` The 'NOTNULL' literal value.
    `static int` | `NULL_VALUE` The 'NULL' literal value.
    `static int` | `REGULAR_EXPRESSION_VALUE` The 'Regular Expression' literal value.
    `static int` | `TRUE_VALUE` The 'TRUE' literal value.
    `static java.util.List<EOperators>` | `VALUES` A public read-only list of all the 'EOperators' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EOperators` | `get(int value)` Returns the 'EOperators' literal with the specified integer value.
    `static EOperators` | `get(java.lang.String literal)` Returns the 'EOperators' literal with the specified literal value.
    `static EOperators` | `getByName(java.lang.String name)` Returns the 'EOperators' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static EOperators` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EOperators[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUALS

          public static final EOperators EQUALS

      The 'Equals' literal object.
      See Also:
        `EQUALS_VALUE`

    - #### EQUALS_NOT

          public static final EOperators EQUALS_NOT

      The 'Equals Not' literal object.
      See Also:
        `EQUALS_NOT_VALUE`

    - #### REGULAR_EXPRESSION

          public static final EOperators REGULAR_EXPRESSION

      The 'Regular Expression' literal object.
      See Also:
        `REGULAR_EXPRESSION_VALUE`

    - #### NULL

          public static final EOperators NULL

      The 'NULL' literal object.
      See Also:
        `NULL_VALUE`

    - #### NOTNULL

          public static final EOperators NOTNULL

      The 'NOTNULL' literal object.
      See Also:
        `NOTNULL_VALUE`

    - #### TRUE

          public static final EOperators TRUE

      The 'TRUE' literal object.
      See Also:
        `TRUE_VALUE`

    - #### FALSE

          public static final EOperators FALSE

      The 'FALSE' literal object.
      See Also:
        `FALSE_VALUE`

  - ### Field Detail

    - #### EQUALS_VALUE

          public static final int EQUALS_VALUE

      The 'Equals' literal value.
      See Also:
        `EQUALS`, Constant Field Values

    - #### EQUALS_NOT_VALUE

          public static final int EQUALS_NOT_VALUE

      The 'Equals Not' literal value.
      See Also:
        `EQUALS_NOT`, Constant Field Values

    - #### REGULAR_EXPRESSION_VALUE

          public static final int REGULAR_EXPRESSION_VALUE

      The 'Regular Expression' literal value.
      See Also:
        `REGULAR_EXPRESSION`, Constant Field Values

    - #### NULL_VALUE

          public static final int NULL_VALUE

      The 'NULL' literal value.
      See Also:
        `NULL`, Constant Field Values

    - #### NOTNULL_VALUE

          public static final int NOTNULL_VALUE

      The 'NOTNULL' literal value.
      See Also:
        `NOTNULL`, Constant Field Values

    - #### TRUE_VALUE

          public static final int TRUE_VALUE

      The 'TRUE' literal value.
      See Also:
        `TRUE`, Constant Field Values

    - #### FALSE_VALUE

          public static final int FALSE_VALUE

      The 'FALSE' literal value.
      See Also:
        `FALSE`, Constant Field Values

    - #### VALUES

          public static final java.util.List<EOperators> VALUES

      A public read-only list of all the 'EOperators' enumerators.

  - ### Method Detail

    - #### values

          public static EOperators[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EOperators c : EOperators.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EOperators valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static EOperators get(java.lang.String literal)

      Returns the 'EOperators' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static EOperators getByName(java.lang.String name)

      Returns the 'EOperators' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static EOperators get(int value)

      Returns the 'EOperators' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<EOperators>`

Copyright © 2015 Micro Focus GmbH. All rights reserved.